---
draft: true
date: 2020-04-03T08:04:59+02:00
title: "Le confinement et les outils de téléconférence"
description: "Aperçu des outils de téléconférence disponibles en cette période de confinement."
images: []
tags: ["Informatique", "Visioconférence", "Téléconférence", "Audioconférence"]
categories: ["Informatique"]
externalLink: ""
series: []
---

Pendant cette période de confinement obligatoire,
nous devons apprendre à nous réorganiser.
Que cela soit pour un emploi rémunéré,
pour du bénévolat ou encore simplement pour partager des moments
de plaisir avec d'autres personnes,
la communication textuelle, audio et vidéo est un outil nécessaire.

Il convient à chaque groupement de personnes de définir ses besoins,
mais ensuite quelles sont les différences entre les logiciels disponibles?


# Les outils de communication textuelle
Les outils uniquement textuels sont les moins attrayants pour la majorité
des utilisateurs et utilisatrices,
mais il ne faut pas oublier que ce sont des outils extrêmement performants
et qui ont fait leurs preuves depuis de nombreuses années.

Ce mode de communication nécessiterait un article précis.
Pour ne pas encombrer celui-ci, je vais uniquement vous conseiller
de vous tourner vers
[IRC](https://fr.wikipedia.org/wiki/Internet_Relay_Chat "Internet Relay Chat").

# Les outils de communication audio
En général, les outils sont cumulatifs.
La grande majorité des logiciels de communication audio contiennent un
logiciel de communication textuelle, communément appelé un tchat.

Je choisis d'exclure **WhatsApp** car il peut faire des appels vidéo de groupe
mais limité à quatre personnes uniquement.

## Skype

<span class="logo">

![Logo Skype][skype]

</span>

[Skype][urlSkype] est le logiciel de téléphonie par Internet de Microsoft.
Il permet de faire des appels de groupe vocaux jusqu'à 25 personnes.

Il est utilisable sur la majorité des systèmes d'exploitation mais souffre
apparemment de problèmes de latence ainsi que d'une charge importante
pour le processeur.
Il nécessite également à chacun de créer un compte sur la plateforme
de Microsoft.

## Mumble / TeamSpeak

<span class="logo">

![Logo Mumble][mumble]
![Logo TeamSpeak][ts]

</span>

Ces deux logiciels, [Mumble][urlMumble] et [TeamSpeak][urlTS],
nécessitent la configuration d'un serveur,
ce qui implique quelques connaissances informatiques
et de posséder / louer un serveur.
En revanche, l'utilisation est très simple, il suffit d'installer le
client et de se connecter au serveur.
Il est ensuite possible de créer autant d'espaces de discussion que vous
voulez et n'est que limité par la configuration que vous aurez choisie.
Bien évidemment, ces logiciels sont utilisables sur tous les systèmes
d'exploitation principaux.
Leur utilisation a été éprouvée,
*Mumble* datant de 2005 et *Teamspeak* de 2001.

Après avoir utilisé les deux logiciels,
je conseille d'utiliser *Mumble* qui est un logiciel libre.
Il permet également de s'authentifier avec un certificat ce qui est pratique
et sécurisé.

Ces deux logiciens ne souffrent d'aucun problème de latence
et implique une très faible charge sur votre processeur.

Ils sont également très facilement configurables,
que ce soit pour régler la gestion de son propre micro ou
augmenter le volume d'un protagoniste.
Il y a également moyen de définir des droits et donc d'avoir de la modération,
ce qui n'est pas un luxe lors de discussions à plusieurs.

## Discord

<span class="logo">

![Logo Discord][discord]

</span>

[Discord][urlDiscord] est le petit nouveau, sa première version datant de 2015.

Il est fortement orienté gaming et se comporte de manière semblable à un
réseau social, avec une gestion de contacts
et leur suivi (de leur présence en ligne ou de leur activité).

Il a l'avantage d'avoir, en plus d'une application dédiée,
une application web qui fonctionne donc
sans rien installer sur sa propre machine.
Cette dernière étant cependant moins pratique d'utilisation et
moins configurable.
*Discord* ne souffre apparemment d'aucun problème de latence.

Pour l'utiliser, il suffit de se créer un compte sur leur site et
de se connecter avec ses amis,
c'est une solution extrêmement rapide à mettre en place.
Cela peut être déconseillé dans le cadre où vous désirez communiquer
avec des personnes qui se trouvent en dehors de votre cercle d'amis.

# Les outils de communication vidéo
Comme précisé précédemment, si l'outil fait de la vidéo,
il comporte un support de l'audio et du texte.

Cette fois, je choisis d'exclure **Skype** car il peut faire des appels vidéo
de groupe mais limité à dix personnes et également limité dans la durée.

Les fonctionnalités que je juge nécessaires à ce genre d'applications sont
les suivantes:

* la discussion audio et vidéo,
* un tchat textuel,
* la possibilité de partager son écran, ou des parties de son écran,
* permettre à chacun·e de demander la parole,
* avoir un système de modération.


Je rajoute des fonctionnalités qui me paraissent utiles:

* faire des sondages,
* avoir un tableau blanc,
* diffuser une présentation (et écrire dessus),
* sécuriser l'accès par un mot de passe.


Je n'ai pas connaissance de services ne nécessitant pas de passer
par un serveur pour héberger le système.
Dans ce domaine il y a vraiment énormément de choix,
selon la [page de comparatif Wikipedia][wikiCompa],
il y a une trentaine de prétendants.
Je vais donc m'attarder uniquement sur les quatre logiciels suivants:

* [Nextcloud Talk](#nextcloud-talk)
* [Zoom](#zoom)
* [Jitsi Meet](#jitsi-meet)
* [BigBlueButton](#bigbluebutton)

## Nextcloud Talk

<span class="logo">

![Logo Nextcloud][nextcloud]

</span>

[*Nextcloud*][urlNextcloud] est un logiciel libre de site d'hébergement de fichiers.
À la base utilisé uniquement pour cela,
en concurrence à des solutions privées comme *Dropbox*,
il contient maintenant plusieurs plugins très intéressant,
dont celui en rapport avec ce billet, *Nextcloud Talk*.
Le principal avantage de cette option est que si vous avez déjà accès à
un serveur Nextcloud, l'installation du plugin est sans encombres,
il suffit de l'activer et cela fonctionne.
Aucun besoin de configuration, on peut directement l'utiliser.

C'est le logiciel le plus basique des quatre.
Il ne remplit pas tout à fait les conditions que j'ai énoncées,
il lui manque un système de demande de parole.
Dans le cas d'une utilisation avec une équipe qui a l'habitude de travailler
ensemble, cela n'est pas forcément un problème,
mais dans le cas d'un cours / formation,
les soucis risquent d'arriver rapidement.

Il est également possible d'avoir une sécurité par mot de passe ou
d'ouvrir le salon uniquement sur invitation.

En dehors de cela, il fonctionne a merveille.

## Zoom

<span class="logo">

![Logo Zoom][zoom]

</span>

[Zoom][urlZoom] est un logiciel de téléconférence complet.
Il répond à tous les critères indispensables que j'ai énuméré et permet
en plus de faire des sondages.
En revanche il ne me semble pas permettre de partager une présentation ou
un tableau blanc.

Avec l'utilisation d'un compte gratuit,
la durée des communications est limitée à 40 minutes
et à 100 participant·e·s[^limitPart].
Il est bien évidemment possible de payer pour augmenter ces limites.


## Jitsi Meet

<span class="logo">

![Logo Jitsi][jitsi]

</span>

[*Jitsi*][urlJitsi] est également un logiciel dédié à la téléconférence,
mais complètement libre cette fois.
Comme *Zoom*, il remplit parfaitement les critères indispensables.
Il permet également de sécuriser l'accès par un mot de passe.

Il est possible de créer une conférence sur le site officiel directement,
mais également, comme tout bon logiciel libre,
d'installer son instance sur son propre serveur.  
[Framasoft][framasoft] propose également son instance, [Framatalk][framatalk].

## BigBlueButton

<span class="logo">

![Logo BigBlueButton][bbb]

</span>

[*BigBlueButton*][urlBBB] est également un logiciel libre.
C'est le logiciel de téléconférence le plus abouti que je connaisse.
Il permet de faire tout ce que j'ai listé, indispensable ou non.

En créant un compte sur leur site,
il y a moyen de tester avec des réunions non-enregistrables et
limitées à une heure.
Mais comme c'est un logiciel libre,
il est possible d'installer son instance perso sur son propre serveur,
et donc de contrôler complètement les capacités.


# Notre empreinte numérique
Une chose à garder à l'esprit est le volume de donnée nécessaire
pour chacune des technologies.
Sans rentrer dans les détails, voici le poids de différents formats[^poids]:

* 1000 mots au format texte[^lipsum], 6.7 Ko
* 1 minute de format audio avec une compression destructrice[^destr], 1 Mo
* 1 minute de format audio avec une compression non-destructrice[^ndestr], 4 Mo
* 1 minute de format audio sans compression, 8 Mo
* 1 minute de format vidéo DVD avec un bon algo de compression, 10 Mo
* 1 minute de format vidéo HD avec un bon algo de compression, 16 Mo

Une comparaison que j'aime bien,
la totalité des articles anglophones de Wikipedia représente environ 15 Go,
soit l'équivalent d'une dizaine d'heures de vidéos HD sur votre plateforme
de vidéo préférée.
Même en conservant l'historique de modification et les discussions
le poids de l'encyclopédie est
seulement multiplié par dix[^comparaison].

# La confidentialité et la vie privée
Lors de l'utilisation de n'importe quelle plateforme,
il est important de savoir ce que cette dernière va pouvoir récupérer
comme informations et ce qu'elle en fera.
C'est une chose assez aisée lors de l'utilisation de [logiciels libres][urlLL],
mais c'est vite compliqué de savoir ce que fait un logiciel dont le code
n'est pas connu.
Je ne vais pas m'étendre ici sur les risques encourus,
mais il est toujours bon de savoir qu'il y a des risques de fuites
d'informations privées ou confidentielles lors de l'utilisation de chaque
logiciel et que les logiciels libres sont les seuls qui permettent
d'avoir des garanties à ce niveau-là.
Pour les autres, la parole des développeurs et des développeuses est la
seule chose sur laquelle nous pouvons nous appuyer.

Il y a un autre point sur lequel porter son attention c'est la
confiance que nous mettons dans le serveur qui héberge notre service.
Par exemple, si j'héberge mon serveur *Mumble* sur une machine qui m'appartient,
ou appartient à une association / société que je connais
et à qui je fais confiance,
j'ai de bonnes raisons de ne pas m'inquiéter.
En revanche, le même serveur *Mumble* hébergé sur la machine de quelqu'un
en qui je n'ai pas confiance peut être utilisé pour espionner ses utilisateurs
et utilisatrices.

C'est pourquoi je conseille **toujours** d'utiliser des logiciels libres
et hébergés chez des personnes de confiance.

# La charge sur les serveurs
Comme tous les services,
la téléconférence n'est pas gratuite en termes de consommation de ressources
informatique.
Les gros serveurs (Google, Microsoft, Zoom, etc.) ont les épaules pour
tenir des centaines de salons, des milliers d'utilisateurs et d'utilisatrices.
Ce n'est pas le cas de tout le monde et ça a un coût.
Ce coût est répercuté sur les utilisateurs et les utilisatrices,
soit par des abonnements (la bonne manière),
soit par de la pub (la manière *meh*),
soit en vendant des informations personnelles (la mauvaise manière).

Les associations comme *Framasoft* ne peuvent pas absorber la charge
générée par des crises comme celle du COVID-19,
c'est pourquoi il est important de monter ses propres instances,
de s'organiser en association,
de rémunérer correctement les fournisseurs.
Nous avons tendance à croire que tout est gratuit sur Internet,
c'est un mythe, il nous faut réapprendre à payer pour des services
que nous ne sommes pas capables de mettre en place.

[^lipsum]: Générés par [Lorem Ipsum](https://www.lipsum.com),
	une suite de mots sans signification utilisée pour calibrer une mise en page.
[^destr]: La compression destructrice est utilisée entre autres par les formats
	*mp3* et *ogg*. Elle supprime une partie des informations jugées pas ou peu
	pertinentes pour l'oreille humaine.
[^ndestr]: La compression non-destructrice ne supprime aucune information.
	Dans le monde audio il y a les formats *flac* et *alac* par exemple.
	Le format *zip* est un format non-destructeur, une fois l'archive
	décompressée, tous les documents s'y trouvant sont retrouvés intacts.
[^poids]: Les outils de compression sont extrêmement dépendants du fichier
	source, les poids donnés ici sont uniquement indicatifs.
[^comparaison]: On peut voir ici également l'effet de la compression
	sur du texte, la totalité de Wikipedia,
	articles et suivi des modifications inclus,
	en date du 2 juin 2015, représentait environ 100 Go alors
	que la version non-compressée représente 10 To, à savoir 100 fois plus.
	[Source Wikipedia][wikiSize]
[^limitPart]: La limitation du nombre de participant·e·s me paraît largement
	suffisante. Le but est d'avoir des interactions, à plus de 100 personnes
	cela commence à devenir difficile.

[urlSkype]: https://www.skype.com/ "Website de Skype"
[urlMumble]: https://www.mumble.com/ "Website de Mumble"
[urlTS]: https://teamspeak.com/ "Website de TeamSpeak"
[urlDiscord]: https://discordapp.com/ "Website de Discord"
[urlZoom]: https://www.zoom.us/ "Website de Zoom"
[urlJitsi]: https://jitsi.org/ "Website de Jitsi"
[urlBBB]: https://bigbluebutton.org/ "Website de BigBlueButton"
[urlNextcloud]: https://nextcloud.com/ "Website de Nextcloud"
[urlLL]: https://fr.wikipedia.org/wiki/Logiciel_libre
	"Wikipedia - Logiciel libre"
[framasoft]: https://framasoft.org "Site de Framasoft"
[framatalk]: https://framatalk.org "Site de Framatalk"

[wikiSize]: https://en.wikipedia.org/wiki/Wikipedia:Size_of_Wikipedia#Size_of_the_English_Wikipedia_database
	"[EN]La taille de Wikipedia"
[wikiCompa]: https://en.wikipedia.org/wiki/Comparison_of_web_conferencing_software
	"[EN]Page de comparatif des logiciels de conférence web Wikipedia"

[skype]: /images/011-skype.svg "Logo de Skype"
[mumble]: /images/011-mumble.svg "Logo de Mumble"
[ts]: /images/011-teamspeak.svg "Logo de TeamSpeak"
[discord]: /images/011-discord.svg "Logo de Discord"
[zoom]: /images/011-zoom.svg "Logo de Zoom"
[jitsi]: /images/011-jitsi.svg "Logo de Jitsi"
[bbb]: /images/011-bigbluebutton.png "Logo de BigBlueButton"
[nextcloud]: /images/011-nextcloud.svg "Logo de Nextcloud"
